import * as api from '../services/agora';

export default {
  namespace: 'agora',
  state: {},
  reducers: {},
  effects: {
    *agora(action, {call}) {
      const {data} = yield call(api.agora);
      return data;
    },
    *talkCall(action, {call}) {
      const {data} = yield call(api.talkCall);
      return data;
    },
    *talkLeave(action, {call}) {
      const {data} = yield call(api.talkLeave);
      return data;
    },
  },
};
